diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/hwmp-rtable.cc ns-3.43/src/mesh/model/dot11s/hwmp-rtable.cc
--- ns-3.42/src/mesh/model/dot11s/hwmp-rtable.cc	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/mesh/model/dot11s/hwmp-rtable.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/hwmp-rtable.h ns-3.43/src/mesh/model/dot11s/hwmp-rtable.h
--- ns-3.42/src/mesh/model/dot11s/hwmp-rtable.h	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/mesh/model/dot11s/hwmp-rtable.h	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/hwmp-tag.cc ns-3.43/src/mesh/model/dot11s/hwmp-tag.cc
--- ns-3.42/src/mesh/model/dot11s/hwmp-tag.cc	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/mesh/model/dot11s/hwmp-tag.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/hwmp-tag.h ns-3.43/src/mesh/model/dot11s/hwmp-tag.h
--- ns-3.42/src/mesh/model/dot11s/hwmp-tag.h	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/mesh/model/dot11s/hwmp-tag.h	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Kirill Andreev <andreev@iitp.ru>
  *          Aleksey Kovalenko <kovalenko@iitp.ru>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/ie-dot11s-beacon-timing.cc ns-3.43/src/mesh/model/dot11s/ie-dot11s-beacon-timing.cc
--- ns-3.42/src/mesh/model/dot11s/ie-dot11s-beacon-timing.cc	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/mesh/model/dot11s/ie-dot11s-beacon-timing.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/ie-dot11s-beacon-timing.h ns-3.43/src/mesh/model/dot11s/ie-dot11s-beacon-timing.h
--- ns-3.42/src/mesh/model/dot11s/ie-dot11s-beacon-timing.h	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/mesh/model/dot11s/ie-dot11s-beacon-timing.h	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/ie-dot11s-configuration.cc ns-3.43/src/mesh/model/dot11s/ie-dot11s-configuration.cc
--- ns-3.42/src/mesh/model/dot11s/ie-dot11s-configuration.cc	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/mesh/model/dot11s/ie-dot11s-configuration.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Kirill Andreev <andreev@iitp.ru>
  *          Aleksey Kovalenko <kovalenko@iitp.ru>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/ie-dot11s-configuration.h ns-3.43/src/mesh/model/dot11s/ie-dot11s-configuration.h
--- ns-3.42/src/mesh/model/dot11s/ie-dot11s-configuration.h	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/mesh/model/dot11s/ie-dot11s-configuration.h	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Kirill Andreev <andreev@iitp.ru>
  *          Aleksey Kovalenko <kovalenko@iitp.ru>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/ie-dot11s-id.cc ns-3.43/src/mesh/model/dot11s/ie-dot11s-id.cc
--- ns-3.42/src/mesh/model/dot11s/ie-dot11s-id.cc	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/mesh/model/dot11s/ie-dot11s-id.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/ie-dot11s-id.h ns-3.43/src/mesh/model/dot11s/ie-dot11s-id.h
--- ns-3.42/src/mesh/model/dot11s/ie-dot11s-id.h	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/mesh/model/dot11s/ie-dot11s-id.h	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/ie-dot11s-metric-report.cc ns-3.43/src/mesh/model/dot11s/ie-dot11s-metric-report.cc
--- ns-3.42/src/mesh/model/dot11s/ie-dot11s-metric-report.cc	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/mesh/model/dot11s/ie-dot11s-metric-report.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/ie-dot11s-metric-report.h ns-3.43/src/mesh/model/dot11s/ie-dot11s-metric-report.h
--- ns-3.42/src/mesh/model/dot11s/ie-dot11s-metric-report.h	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/mesh/model/dot11s/ie-dot11s-metric-report.h	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/ie-dot11s-peering-protocol.cc ns-3.43/src/mesh/model/dot11s/ie-dot11s-peering-protocol.cc
--- ns-3.42/src/mesh/model/dot11s/ie-dot11s-peering-protocol.cc	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/mesh/model/dot11s/ie-dot11s-peering-protocol.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/ie-dot11s-peering-protocol.h ns-3.43/src/mesh/model/dot11s/ie-dot11s-peering-protocol.h
--- ns-3.42/src/mesh/model/dot11s/ie-dot11s-peering-protocol.h	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/mesh/model/dot11s/ie-dot11s-peering-protocol.h	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/ie-dot11s-peer-management.cc ns-3.43/src/mesh/model/dot11s/ie-dot11s-peer-management.cc
--- ns-3.42/src/mesh/model/dot11s/ie-dot11s-peer-management.cc	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/mesh/model/dot11s/ie-dot11s-peer-management.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Kirill Andreev <andreev@iitp.ru>
  *          Aleksey Kovalenko <kovalenko@iitp.ru>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/ie-dot11s-peer-management.h ns-3.43/src/mesh/model/dot11s/ie-dot11s-peer-management.h
--- ns-3.42/src/mesh/model/dot11s/ie-dot11s-peer-management.h	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/mesh/model/dot11s/ie-dot11s-peer-management.h	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Kirill Andreev <andreev@iitp.ru>
  *          Aleksey Kovalenko <kovalenko@iitp.ru>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/ie-dot11s-perr.cc ns-3.43/src/mesh/model/dot11s/ie-dot11s-perr.cc
--- ns-3.42/src/mesh/model/dot11s/ie-dot11s-perr.cc	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/dot11s/ie-dot11s-perr.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/ie-dot11s-perr.h ns-3.43/src/mesh/model/dot11s/ie-dot11s-perr.h
--- ns-3.42/src/mesh/model/dot11s/ie-dot11s-perr.h	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/dot11s/ie-dot11s-perr.h	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/ie-dot11s-prep.cc ns-3.43/src/mesh/model/dot11s/ie-dot11s-prep.cc
--- ns-3.42/src/mesh/model/dot11s/ie-dot11s-prep.cc	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/dot11s/ie-dot11s-prep.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/ie-dot11s-prep.h ns-3.43/src/mesh/model/dot11s/ie-dot11s-prep.h
--- ns-3.42/src/mesh/model/dot11s/ie-dot11s-prep.h	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/dot11s/ie-dot11s-prep.h	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/ie-dot11s-preq.cc ns-3.43/src/mesh/model/dot11s/ie-dot11s-preq.cc
--- ns-3.42/src/mesh/model/dot11s/ie-dot11s-preq.cc	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/dot11s/ie-dot11s-preq.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/ie-dot11s-preq.h ns-3.43/src/mesh/model/dot11s/ie-dot11s-preq.h
--- ns-3.42/src/mesh/model/dot11s/ie-dot11s-preq.h	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/dot11s/ie-dot11s-preq.h	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/ie-dot11s-rann.cc ns-3.43/src/mesh/model/dot11s/ie-dot11s-rann.cc
--- ns-3.42/src/mesh/model/dot11s/ie-dot11s-rann.cc	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/dot11s/ie-dot11s-rann.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/ie-dot11s-rann.h ns-3.43/src/mesh/model/dot11s/ie-dot11s-rann.h
--- ns-3.42/src/mesh/model/dot11s/ie-dot11s-rann.h	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/dot11s/ie-dot11s-rann.h	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/peer-link.cc ns-3.43/src/mesh/model/dot11s/peer-link.cc
--- ns-3.42/src/mesh/model/dot11s/peer-link.cc	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/dot11s/peer-link.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Kirill Andreev <andreev@iitp.ru>
  *          Aleksey Kovalenko <kovalenko@iitp.ru>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/peer-link-frame.cc ns-3.43/src/mesh/model/dot11s/peer-link-frame.cc
--- ns-3.42/src/mesh/model/dot11s/peer-link-frame.cc	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/dot11s/peer-link-frame.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Kirill Andreev <andreev@iitp.ru>
  */
